ubuntu/+source/libapache2-mod-perl2:applied/debian/stretch

Last commit made on 2019-02-16
Get this branch:
git clone -b applied/debian/stretch https://git.launchpad.net/ubuntu/+source/libapache2-mod-perl2
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/stretch
Repository:
lp:ubuntu/+source/libapache2-mod-perl2

Recent commits

3557b24... by Dominic Hargreaves on 2019-01-01

Import patches-applied version 2.0.10-2+deb9u1 to applied/debian/stretch

Imported using git-ubuntu import.

Changelog parent: 0fb9b35dbf353f1ababd18a09ac8b045be03d466
Unapplied parent: 2ae5aa73be94e6f22aad2ea66b47f8f1caf17df6

New changelog entries:
  * [SECURITY] CVE-2011-2767: don't allow <Perl> sections in
    user controlled configuration (Closes: #644169)

2ae5aa7... by Dominic Hargreaves on 2019-01-01

CVE-2011-2767

Gbp-Pq: CVE-2011-2767.patch.

a4ff711... by Dominic Hargreaves on 2019-01-01

[PATCH 2/2] Fix in_bbs_inject_header line terminators for Apache

Gbp-Pq: 380_inject_header_line_terminators.patch.

8e05a23... by Dominic Hargreaves on 2019-01-01

[PATCH 1/2] Fix t/apache/read.t HTTP syntax for Apache 2.4.24

Gbp-Pq: 370_http_syntax.patch.

3c7b9e9... by Dominic Hargreaves on 2019-01-01

LDFLAGS from the environment

Gbp-Pq: honour-env-LDFLAGS.patch.

d71e71b... by Dominic Hargreaves on 2019-01-01

[PATCH] Skip t/protocol/pseudo_http.t, incompatible with Apache >=

Gbp-Pq: 0001-Skip-t-protocol-pseudo_http.t-incompatible-with-Apac.patch.

e73cb46... by Dominic Hargreaves on 2019-01-01

Fallback to use native perl getppid() if Linux::Pid is not present

Gbp-Pq: 360-conditional-linux-pid-module.patch.

11c86f0... by Dominic Hargreaves on 2019-01-01

pipelined response deadlock

Gbp-Pq: 260_fix_pipelined_response_deadlock.patch.

a0db2f7... by Dominic Hargreaves on 2019-01-01

Replace stray POD with =for comment

Gbp-Pq: 220_fix-bad-whatis-entry.patch.

d28280c... by Dominic Hargreaves on 2019-01-01

Fix POD errors

Gbp-Pq: 210_fix-pod-errors.patch.